Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.io
Interface Buffers

All Known Implementing Classes:
  SimpleBuffers, ThreadLocalBuffers

    public interface Buffers

BufferSource. Represents a pool or other source of buffers and abstracts the creation of specific types of buffers (eg NIO). The concept of big and little buffers is supported, but these terms have no absolute meaning and must be determined by context.

Method Summary
`Buffer` | `getBuffer()`
`Buffer` | `getBuffer(int size)`
`Buffer` | `getHeader()`
`void` | `returnBuffer(Buffer buffer)`

Method Detail

### getHeader

    Buffer getHeader()

### getBuffer

    Buffer getBuffer()

### getBuffer

    Buffer getBuffer(int size)

### returnBuffer

    void returnBuffer(Buffer buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.